コンテンツへスキップ

Sam Audio · Visual Separate

統合

モデルID sam-audio/visual-separate
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sam-audio/visual-separate?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.05 50 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Meta 動画から音声 10–60 s #video-to-audio#sam-audio

任意のマスク動画とテキストプロンプトを使って、動画の音声トラックから音を分離します

Meta · データ (JSON)

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

デフォルト

分離を補助する対象音の自然言語による説明。

•必須 video_url
ファイルをドロップ、または

MP4やMOVなどの形式で処理する動画ファイルURL。

デフォルト 1

ランキング用に生成する候補数。

詳細設定 mask_video_url · acceleration · output_format · max_chunk_duration · chunk_overlap
ファイルをドロップ、または

対象オブジェクトを黒、背景を白で表すバイナリエンコーディングのマスク動画URL。

acceleration デフォルト balanced

処理に適用する高速化レベル。

output_format デフォルト wav

生成する音声の形式。

デフォルト 60

パスごとの音声処理上限(秒)。この値を超えると、重なり合うチャンクをブレンドして処理します。

デフォルト 5

クロスフェードブレンドに使用するチャンク間の重複の長さ(秒)。

POST /run/sam-audio/visual-separate?wait=20 見積もり → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sam-audio/visual-separate?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Sam Audio · Visual Separateについて

`video_url`を受け取り、音声から対象の音を抽出します。任意の`mask_video_url`で対象オブジェクトを指定します(対象は黒、背景は白)。`prompt`でテキストヒントを追加できます。最大4個の`reranking_candidates`を順位付けでき、長い音声は分割されます。出力はwavまたはmp3の`target`と`residual`音声です。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
video_url必須 video
型url · video
MP4やMOVなどの形式で処理する動画ファイルURL。
mask_video_url任意
型url · video
対象オブジェクトを黒、背景を白で表すバイナリエンコーディングのマスク動画URL。
prompt任意
型string
デフォルト
分離を補助する対象音の自然言語による説明。
reranking_candidates任意
型integer
デフォルト1
1 – 4
ランキング用に生成する候補数。
acceleration任意
型enum
デフォルトbalanced
fastbalancedquality
処理に適用する高速化レベル。
max_chunk_duration任意
型number
デフォルト60
10 – 60
パスごとの音声処理上限(秒)。この値を超えると、重なり合うチャンクをブレンドして処理します。
chunk_overlap任意
型number
デフォルト5
0 – 30
クロスフェードブレンドに使用するチャンク間の重複の長さ(秒)。
output_format任意
型enum
デフォルトwav
wavmp3
生成する音声の形式。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sam-audio/visual-separate",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "target": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "residual": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "duration": 5,
    "sample_rate": 48000
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
target
object {url, content_type, file_name, file_size}分離して抽出された対象の音。
residual
object {url, content_type, file_name, file_size}対象の音以外に残った音声。
duration
number出力音声の長さ(秒)。
sample_rate
integer出力音声のHz単位のサンプリング周波数。

その他のモデル: 動画から音声

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/sam-audio/visual-separate.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt